summaryrefslogtreecommitdiffstats
path: root/virtualenv
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2021-12-30 18:39:53 +0000
committer Eric Hameleers <alien@slackware.com>2021-12-30 18:39:53 +0000
commit77bf4ef70f098cbd8f5480dfd94e4a75247f20d3 (patch)
tree8b878869863c8f7a027310c3bd4c0c120eedc524 /virtualenv
parent13aaa354a10ea8ccb79c2f80eafe043e102c4454 (diff)
downloadasb-77bf4ef70f098cbd8f5480dfd94e4a75247f20d3.tar.gz
asb-77bf4ef70f098cbd8f5480dfd94e4a75247f20d3.tar.xz
virtualenv: update to 16.0.0
Diffstat (limited to 'virtualenv')
-rwxr-xr-xvirtualenv/build/virtualenv.SlackBuild31
1 files changed, 16 insertions, 15 deletions
diff --git a/virtualenv/build/virtualenv.SlackBuild b/virtualenv/build/virtualenv.SlackBuild
index 8297334e..9a59d132 100755
--- a/virtualenv/build/virtualenv.SlackBuild
+++ b/virtualenv/build/virtualenv.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
# $Id$
-# Copyright 2011, 2013 Eric Hameleers, Eindhoven, NL
+# Copyright 2011, 2013, 2018 Eric Hameleers, Eindhoven, NL
# All rights reserved.
#
# Permission to use, copy, modify, and distribute this software for
@@ -34,6 +34,8 @@
# * Initial build.
# 1.9.1-1: 27/apr/2013 by Eric Hameleers <alien@slackware.com>
# * Update.
+# 16.0.0-1: 07/aug/2018 by Eric Hameleers <alien@slackware.com>
+# * Update.
#
# Run 'sh virtualenv.SlackBuild' to build a Slackware package.
# The package (.tgz) and .txt file as well as build logs are created in /tmp .
@@ -44,12 +46,11 @@
# Set initial variables:
PRGNAM=virtualenv
-VERSION=${VERSION:-1.9.1}
+VERSION=${VERSION:-16.0.0}
BUILD=${BUILD:-1}
-NUMJOBS=${NUMJOBS:" -j4 "}
TAG=${TAG:-alien}
-DOCS="PKG-INFO *.txt docs/*.txt"
+DOCS="AUTHORS.txt CONTRIBUTING.rst LICENSE.txt README.rst"
# Where do we look for sources?
SRCDIR=$(cd $(dirname $0); pwd)
@@ -60,26 +61,26 @@ PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
SOURCE="$SRCDIR/${PRGNAM}-${VERSION}.tar.gz"
-SRCURL="http://pypi.python.org/packages/source/v/${PRGNAM}/${PRGNAM}-${VERSION}.tar.gz"
+SRCURL="https://github.com/pypa/${PRGNAM}/archive/${VERSION}.tar.gz"
##
## --- with a little luck, you won't have to edit below this point --- ##
##
# Automatically determine the architecture we're building on:
-MARCH=$( uname -m )
if [ -z "$ARCH" ]; then
- case "$MARCH" in
- i?86) export ARCH=i486 ;;
- armv7hl) export ARCH=$MARCH ;;
- arm*) export ARCH=arm ;;
+ case "$(uname -m)" in
+ i?86) ARCH=i586 ;;
+ arm*) readelf /usr/bin/file -A | egrep -q "Tag_CPU.*[4,5]" && ARCH=arm || ARCH=armv7hl ;;
# Unless $ARCH is already set, use uname -m for all other archs:
- *) export ARCH=$MARCH ;;
+ *) ARCH=$(uname -m) ;;
esac
+ export ARCH
fi
+# Set CFLAGS/CXXFLAGS and LIBDIRSUFFIX:
case "$ARCH" in
- i486) SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ i?86) SLKCFLAGS="-O2 -march=${ARCH} -mtune=i686"
SLKLDFLAGS=""; LIBDIRSUFFIX=""
;;
x86_64) SLKCFLAGS="-O2 -fPIC"
@@ -88,12 +89,12 @@ case "$ARCH" in
armv7hl) SLKCFLAGS="-O2 -march=armv7-a -mfpu=vfpv3-d16"
SLKLDFLAGS=""; LIBDIRSUFFIX=""
;;
- *) SLKCFLAGS=${SLKCFLAGS:-"O2"}
+ *) SLKCFLAGS=${SLKCFLAGS:-"-O2"}
SLKLDFLAGS=${SLKLDFLAGS:-""}; LIBDIRSUFFIX=${LIBDIRSUFFIX:-""}
;;
esac
-case "ARCH" in
+case "$ARCH" in
arm*) TARGET=$ARCH-slackware-linux-gnueabi ;;
*) TARGET=$ARCH-slackware-linux ;;
esac
@@ -126,7 +127,7 @@ if ! [ -f ${SOURCE} ]; then
if [ -f ${SOURCE} ]; then echo "Ah, found it!"; continue; fi
if ! [ "x${SRCURL}" == "x" ]; then
echo "Will download file to $(dirname $SOURCE)"
- wget -nv -T 20 -O "${SOURCE}" "${SRCURL}" || true
+ wget --content-disposition -nv -T 20 -O "${SOURCE}" "${SRCURL}" || true
if [ $? -ne 0 -o ! -s "${SOURCE}" ]; then
echo "Downloading '$(basename ${SOURCE})' failed... aborting the build."
mv -f "${SOURCE}" "${SOURCE}".FAIL